<?php

namespace Teknisa\SM\Service;
use Teknisa\Libs\Util\Environment;
use Teknisa\SM\Factory\Sm00008000HabilidadeTarefaFactory;

class Sm00008000HabilidadeTarefaService
{
    protected $tarefaFactory;
    protected $Environment;
    
    public function __construct (Sm00008000HabilidadeTarefaFactory $tarefaFactory, Environment $Environment) {
        $this->tarefaFactory = $tarefaFactory;
        $this->Environment  = $Environment;
    }
    
    /**
     *  A função "recebeOrdenacao" recebe a próxima a ordenação da tarefa 
     *  que está sendo inserida para a habilidade.
     */
    
    public function recebeOrdenacao($cdHabilitServ){
    
        $params = array(
            "CDHABILITSERV" => $cdHabilitServ,
            "NRORG"         => $this->Environment->getNrOrg()
        );
        
        $ordenacao = $this->tarefaFactory->recebeOrdenacao($params);
        
        return $ordenacao[0];
    }
    
    /**
     *  A função "validar" verifica se já existe a ordenação da tarefa 
     *  que está sendo inserida para a habilidade.
     */
     
    public function validar($ordenacao, $nrtarefahabili, $cdHabilitServ, $nrorg) {
        
        $params = array(
            "CDHABILITSERV"  => $cdHabilitServ,
            "IDORDENACAO"    => $ordenacao,
            "NRTAREFAHABILI" => $nrtarefahabili,
            "NRORG"          => $this->Environment->getNrOrg()
        );
        
        $dados = $this->tarefaFactory-> validar($params); 
        $resultado = $dados[0]["EXISTE"];
        return ($resultado == 0);
    }
}

?>